## org.apache.lucene.facet.encoding
Class DGapVInt8IntDecoder

    java.lang.Object
      org.apache.lucene.facet.encoding.IntDecoder
          org.apache.lucene.facet.encoding.DGapVInt8IntDecoder

    public final class DGapVInt8IntDecoder

extends IntDecoder

Decodes values encoded by `DGapVInt8IntDecoder`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`DGapVInt8IntDecoder()`

Method Summary
`void` `decode(BytesRef buf, IntsRef values)` Decodes the values from the buffer into the given `IntsRef`.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DGapVInt8IntDecoder

    public DGapVInt8IntDecoder()

Method Detail

### decode

    public void decode(BytesRef buf,
                       IntsRef values)

  Description copied from class: `IntDecoder`
  Decodes the values from the buffer into the given `IntsRef`. Note that `values.offset` is set to 0, and `values.length` is updated to denote the number of decoded values.

  Specified by:
    `decode` in class `IntDecoder`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.